
Smart Proxy - Feature #7008

Add providers to existing proxy modules from a plugin/module

08/09/2014 10:50 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/256

  

Description

#4866 made the proxy modular at the API level, but we also need to be able to extend existing modules (DHCP, DNS, BMC,

Puppetrun) by adding new providers from plugins.

Related issues:

Related to Smart Proxy - Refactor #4866: As a developer I'd like to break up ... Closed 03/26/2014

Related to Smart Proxy - Refactor #11080: Move Puppet run providers to plugin... Closed 07/10/2015

Related to Smart Proxy - Refactor #11081: Move DHCP providers to plugin-capab... Closed 07/10/2015

Related to Smart Proxy - Refactor #11082: Move BMC providers to plugin-capabl... New 07/10/2015

Related to Smart Proxy - Bug #11098: undefined method `values' for #<Array:..... Closed 07/13/2015

Related to Installer - Bug #11655: DNS configuration for smart proxy split in... Closed 09/02/2015

Related to Smart Proxy - Bug #12178: Smart Proxy Plugins do not handle rc ver... Closed 10/15/2015

Has duplicate Smart Proxy - Feature #7398: Add support for "providers" in sma... Duplicate 09/10/2014

Blocks Foreman - Tracker #10226: Core Sprint 1 Resolved 04/20/2015 05/10/2015

Blocked by Smart Proxy - Feature #10003: Support for settings migrations Closed 04/02/2015

Blocks Smart Proxy - Feature #1225: AWS-Route53/Foreman/SmartProxy DNS integr... Resolved 10/13/2011

Associated revisions

Revision d905c67c - 07/10/2015 04:47 AM - Dmitri Dolguikh 

Fixes #7008: dns providers are now plugins

History

#1 - 08/09/2014 10:51 AM - Dominic Cleal

- Related to Refactor #4866: As a developer I'd like to break up smart-proxy into multiple components added

#2 - 08/27/2014 03:04 AM - Dominic Cleal

Having a bit of a discussion about a PoC implementation I made: 

https://github.com/domcleal/smart-proxy/commit/d66f80fbfcc97e0e5caa20d5a52dce451980bd1c#commitcomment-7331818

#3 - 09/10/2014 07:30 AM - Dominic Cleal

- Has duplicate Feature #7398: Add support for "providers" in smart-proxy plugins  added

#4 - 09/10/2014 07:31 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Target version set to 1.7.3

#5 - 09/30/2014 10:48 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2
#6 - 02/13/2015 04:20 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Assignee changed from Dominic Cleal to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/256 added

- Pull request deleted ()

#7 - 04/21/2015 01:43 PM - Eric Helms

- Blocks Tracker #10226: Core Sprint 1 added

#8 - 06/03/2015 10:18 AM - Dominic Cleal

- Blocked by Feature #10003: Support for settings migrations added

#9 - 07/10/2015 04:48 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#10 - 07/10/2015 04:54 AM - Dominic Cleal

- Related to Refactor #11080: Move Puppet run providers to plugin-capable layout added

#11 - 07/10/2015 04:56 AM - Dominic Cleal

- Related to Refactor #11081: Move DHCP providers to plugin-capable layout added

#12 - 07/10/2015 04:56 AM - Dominic Cleal

- Related to Refactor #11082: Move BMC providers to plugin-capable layout added

#13 - 07/10/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d905c67c1067696000b0ff4fefde711c99f9e731.

#14 - 07/10/2015 09:32 AM - Dominic Cleal

- Blocks Feature #1225: AWS-Route53/Foreman/SmartProxy DNS integration  added

#15 - 07/13/2015 04:09 AM - Dominic Cleal

- Related to Bug #11098: undefined method `values' for #<Array:..> error on startup on EL6 added

#16 - 09/02/2015 06:52 AM - Dominic Cleal

- Related to Bug #11655: DNS configuration for smart proxy split into per-provider configs added

#17 - 10/20/2015 07:34 AM - Dominic Cleal

- Related to Bug #12178: Smart Proxy Plugins do not handle rc versions well added
